<%= render 'setup/header' %>

<div class="ui basic container segment">
  <% if notice %>
    <div class="ui info message">
      <p id="notice"><%= notice %></p>
    </div>
  <% end %>

  <h1 class="header"><%= t 'user.name_label' %></h1>
  <%= link_to new_user_path, class: "ui button" do %>
    <i class="plus icon"></i> New
  <% end %>

  <table class="ui celled table">
    <thead>
      <tr class="center aligned">
        <th>No.</th>
        <th>Username</th>
        <th>Roles</th>
        <th>Active</th>
        <th>Actions</th>
      </tr>
    </thead>

    <tbody>
      <% @users.each_with_index do |user, i| %>
        <tr>
          <td class="center aligned"><%= i + 1 %></td>
          <td><%= user.username %></td>
          <% roles = user.roles.map { |r| r.name } %>
          <td><%= roles.join(',') %></td>
          <td><%if user.active %><i class="check circle icon"></i><% else %><i class="circle icon"></i><% end %></td>
          <td>
            <%= link_to user, class: "ui primary basic button" do %>
              <i class="file icon"></i> Show
            <% end %>
            <%= link_to edit_user_path(user), class: "ui secondary basic button" do %>
              <i class="edit icon"></i> Edit
            <% end %>
            <%= link_to user, method: :delete, data: { confirm: 'Are you sure?' }, class: "ui negative basic button" do %>
              <i class="trash icon"></i> Delete
            <% end %>
          </td>
        </tr>
      <% end %>
    </tbody>
  </table>
  <br>
</div>
